Update an oEmbed domain
curl --request PATCH \
--url https://api.hubapi.com/media-bridge/v1/{appId}/settings/oembed-domains/{oEmbedDomainId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoints": {
"discovery": true,
"schemes": [
"<string>"
],
"url": "<string>"
},
"portalId": 123
}
'import requests
url = "https://api.hubapi.com/media-bridge/v1/{appId}/settings/oembed-domains/{oEmbedDomainId}"
payload = {
"endpoints": {
"discovery": True,
"schemes": ["<string>"],
"url": "<string>"
},
"portalId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoints: {discovery: true, schemes: ['<string>'], url: '<string>'},
portalId: 123
})
};
fetch('https://api.hubapi.com/media-bridge/v1/{appId}/settings/oembed-domains/{oEmbedDomainId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appId": 123,
"createdAt": 123,
"deletedAt": 123,
"endpoints": {
"discovery": true,
"schemes": [
"<string>"
],
"url": "<string>"
},
"id": 123,
"portalId": 123,
"updatedAt": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}連携設定
Update an oEmbed domain
PATCH
/
media-bridge
/
v1
/
{appId}
/
settings
/
oembed-domains
/
{oEmbedDomainId}
Update an oEmbed domain
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
最終更新日 2026年4月13日
⌘I